> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.monite.com/v2024-01-31/api/projects/post-projects/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server. # Create a project POST https://api.sandbox.monite.com/v1/projects Content-Type: application/json Create a new project. Reference: https://docs.monite.com/api/projects/post-projects ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.sandbox.monite.com/v1` (sandbox, default) - `https://api.monite.com/v1` (eu_production) - `https://us.api.monite.com/v1` (na_production) ## Request ### Headers - `x-monite-version` (string, required) - `x-monite-entity-id` (string, required) — The ID of the entity that owns the requested resource. ### Body (application/json) This endpoint expects an object. - `name` (string, required) — The project name. - `code` (string, optional) — Project code - `color` (string, optional) — Project color - `description` (string, optional) — Description of project - `end_date` (string, optional) — Project end date - `parent_id` (string, optional) — Parent project ID - `partner_metadata` (map from string to any, optional) — Project metadata - `start_date` (string, optional) — Project start date - `tag_ids` (list of string, optional) — A list of IDs of user-defined tags (labels) assigned to this project. ## Response ### 201 Successful Response - `id` (string, required) — A unique ID assigned to this project. - `created_at` (datetime, required) — Project created at - `updated_at` (datetime, required) — Last time project was updated at - `entity_id` (string, required) — The ID of the entity to which the project was issued. - `name` (string, required) — The project name. - `code` (string, optional) — Project code - `color` (string, optional) — Project color - `created_by_entity_user_id` (string, optional) — Project created by entity user - `description` (string, optional) — Description of project - `end_date` (string, optional) — Project end date - `parent_id` (string, optional) — Parent project ID - `partner_metadata` (map from string to any, optional) — Project metadata - `start_date` (string, optional) — Project start date - `tags` (list of TagReadSchema, optional) — A list of user-defined tags (labels) assigned to this project. ## Errors ### 400 Post Projects Request Bad Request Error Bad Request - `error` (ErrorSchema2, required) ### 401 Post Projects Request Unauthorized Error Unauthorized - `error` (ErrorSchema2, required) ### 403 Post Projects Request Forbidden Error Forbidden - `error` (ErrorSchema2, required) ### 422 Post Projects Request Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ### 500 Post Projects Request Internal Server Error Internal Server Error - `error` (ErrorSchema2, required) ## Types ### TagReadSchema Represents a user-defined tag that can be assigned to resources to filter them. - `id` (string, required) — A unique ID of this tag. - `created_at` (datetime, required) — Date and time when the tag was created. Timestamps follow the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) standard. - `updated_at` (datetime, required) — Date and time when the tag was last updated. Timestamps follow the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) standard. - `name` (string, required) — The tag name. - `category` (enum, optional) — The tag category. - Allowed values: `document_type`, `department`, `project`, `cost_center`, `vendor_type`, `payment_method`, `approval_status` - `created_by_entity_user_id` (string, optional) — ID of the user who created the tag. - `description` (string, optional) — The tag description. ### ErrorSchema2 - `message` (string, required) ### ValidationError - `loc` (list of ValidationErrorLocItem, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItem ## Examples **Request** ```json { "name": "Marketing" } ``` **Response** ```json { "id": "id", "created_at": "2024-01-15T09:30:00Z", "updated_at": "2024-01-15T09:30:00Z", "entity_id": "entity_id", "name": "Marketing", "code": "code", "color": "color", "created_by_entity_user_id": "created_by_entity_user_id", "description": "description", "end_date": "end_date", "parent_id": "parent_id", "partner_metadata": { "key": "value" }, "start_date": "start_date", "tags": [ { "id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5", "created_at": "2022-09-07T16:35:18Z", "updated_at": "2022-09-07T16:35:18Z", "name": "Marketing", "category": "document_type", "created_by_entity_user_id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5", "description": "Tag for the Marketing Department" } ] } ``` **SDK Code** ```python import requests url = "https://api.sandbox.monite.com/v1/projects" payload = { "name": "Marketing" } headers = { "x-monite-version": "2024-01-31", "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4", "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.sandbox.monite.com/v1/projects'; const options = { method: 'POST', headers: { 'x-monite-version': '2024-01-31', 'x-monite-entity-id': '9d2b4c8f-2087-4738-ba91-7359683c49a4', Authorization: 'Bearer ', 'Content-Type': 'application/json' }, body: '{"name":"Marketing"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.sandbox.monite.com/v1/projects" payload := strings.NewReader("{\n \"name\": \"Marketing\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("x-monite-version", "2024-01-31") req.Header.Add("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4") req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.sandbox.monite.com/v1/projects") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["x-monite-version"] = '2024-01-31' request["x-monite-entity-id"] = '9d2b4c8f-2087-4738-ba91-7359683c49a4' request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"Marketing\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.sandbox.monite.com/v1/projects") .header("x-monite-version", "2024-01-31") .header("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"name\": \"Marketing\"\n}") .asString(); ``` ```php request('POST', 'https://api.sandbox.monite.com/v1/projects', [ 'body' => '{ "name": "Marketing" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', 'x-monite-entity-id' => '9d2b4c8f-2087-4738-ba91-7359683c49a4', 'x-monite-version' => '2024-01-31', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.sandbox.monite.com/v1/projects"); var request = new RestRequest(Method.POST); request.AddHeader("x-monite-version", "2024-01-31"); request.AddHeader("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4"); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"name\": \"Marketing\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "x-monite-version": "2024-01-31", "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4", "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["name": "Marketing"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.sandbox.monite.com/v1/projects")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```